libzypp: zyppng::sat::IPoolComponent Class Reference

libzypp 17.38.14

zyppng::sat::IPoolComponent Class Reference

Interface for components that run BEFORE the whatprovides index is built. More...

`#include <zypp/ng/sat/components/poolcomponents.h>`

Inheritance diagram for zyppng::sat::IPoolComponent:

## Public Member Functions
virtual void | attach (Pool &)
virtual void | prepare (Pool &)
virtual InitStage | stage () const
virtual int | priority () const
| Fine-grained ordering within a stage.
Public Member Functions inherited from zyppng::sat::detail::IBasicPoolComponent
virtual void | checkDirty (Pool &)
| Probe external state.
virtual void | onInvalidate (Pool &, PoolInvalidation)
| React to pool invalidation — clear internal caches.
virtual void | onRepoAdded (Pool &, RepoIdType)
virtual void | onRepoRemoved (Pool &, RepoIdType)
virtual void | onReset (Pool &)
virtual | ~IBasicPoolComponent ()=default
| IBasicPoolComponent ()=default
| IBasicPoolComponent (const IBasicPoolComponent &)=delete
| IBasicPoolComponent (IBasicPoolComponent &&)=delete
IBasicPoolComponent & | operator= (const IBasicPoolComponent &)=delete
IBasicPoolComponent & | operator= (IBasicPoolComponent &&)=delete

## Detailed Description

Interface for components that run BEFORE the whatprovides index is built.

Examples:

- ArchitectureComponent — sets pool arch via libsolv arch functions
- NamespaceComponent — registers the libsolv namespace callback on attach()

Has stage()/priority() for deterministic pre-index ordering.

Note
  Calling setDirty() inside prepare() is a bug, asserted in debug builds.

Definition at line 91 of file poolcomponents.h.

## Member Function Documentation

## ◆ attach()

virtual void zyppng::sat::IPoolComponent::attach | ( | Pool & |  | ) |
| inlinevirtual

Reimplemented in zyppng::sat::ArchitectureComponent, and zyppng::sat::NamespaceComponent.

Definition at line 93 of file poolcomponents.h.

## ◆ prepare()

virtual void zyppng::sat::IPoolComponent::prepare | ( | Pool & |  | ) |
| inlinevirtual

Reimplemented in zyppng::sat::ArchitectureComponent, and zyppng::sat::NamespaceComponent.

Definition at line 94 of file poolcomponents.h.

## ◆ stage()

virtual InitStage zyppng::sat::IPoolComponent::stage | ( |  | ) | const
| inlinevirtual

Reimplemented in zyppng::sat::ArchitectureComponent, and zyppng::sat::NamespaceComponent.

Definition at line 95 of file poolcomponents.h.

## ◆ priority()

virtual int zyppng::sat::IPoolComponent::priority | ( |  | ) | const
| inlinevirtual

Fine-grained ordering within a stage.

Lower values run earlier. Default is 0.

Note
  Prefer stage() for coarse ordering; use priority() only when ordering within a stage matters.

Reimplemented in zyppng::sat::ArchitectureComponent, and zyppng::sat::NamespaceComponent.

Definition at line 101 of file poolcomponents.h.

The documentation for this class was generated from the following file:

- zypp/ng/sat/components/poolcomponents.h